Index: sasmodels/models/broad_peak.py
===================================================================
--- sasmodels/models/broad_peak.py	(revision 2f0c07deb2cb7a8c0c93476fbf1e0ffbe6c278cb)
+++ sasmodels/models/broad_peak.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
@@ -17,7 +17,10 @@
 .. math::
 
-    I(q) = \frac{A}{q^n} + \frac{C}{1 + (q\xi)^m} + B
+    I(q) = \frac{A}{q^n} + \frac{C}{1 + (|q - q_0|\xi)^m} + B
 
 Here the peak position is related to the d-spacing as $q_o = 2\pi / d_o$.
+
+$A$ is the Porod law scale factor, $n$ the Porod exponent, $C$ is the Lorentzian 
+scale factor, $m$ the exponent of q, \ |xi|\  the screening length, and $B$ the flat background.
 
 For 2D data the scattering intensity is calculated in the same way as 1D,
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision 43b7eea5794b4eb3362114ebde67ff2fb1c38fdc)
+++ sasmodels/models/core_shell_bicelle.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
@@ -4,6 +4,7 @@
 ----------
 This model provides the form factor for a circular cylinder with a core-shell
-scattering length density profile. The form factor is normalized by the
-particle volume.
+scattering length density profile. Thus this is a variation of a core-shell cylinder 
+or disc where the shell on the walls and ends may be of different thicknesses and scattering
+length densities. The form factor is normalized by the particle volume.
 
 .. _core-shell-bicelle-geometry:
@@ -11,5 +12,5 @@
 .. figure:: img/core_shell_bicelle_geometry.png
 
-    (Graphic from DOI: 10.1039/C0NP00002G)
+    (Graphic from DOI: 10.1039/C0NP00002G, note however that the model here calculates for rectangular, not curved, rims.)
 
 
@@ -43,8 +44,8 @@
 title = "Circular cylinder with a core-shell scattering length density profile.."
 description = """
-    P(q,alpha)= scale/Vs*f(q)^(2) + bkg,  where: f(q)= 2(core_sld
+    P(q,alpha)= scale/Vs*f(q)^(2) + bkg,  where: f(q)= 2(sld_core
     - solvant_sld)* Vc*sin[qLcos(alpha/2)]
     /[qLcos(alpha/2)]*J1(qRsin(alpha))
-    /[qRsin(alpha)]+2(shell_sld-solvent_sld)
+    /[qRsin(alpha)]+2(shell_sld-sld_solvent)
     *Vs*sin[q(L+T)cos(alpha/2)][[q(L+T)
     *cos(alpha/2)]*J1(q(R+T)sin(alpha))
@@ -58,5 +59,5 @@
     shell_sld: the scattering length density
     of the shell
-    solvent_sld: the scattering length density
+    sld_solvent: the scattering length density
     of the solvent
     bkg: the background
@@ -77,8 +78,8 @@
     ["face_thickness", "Ang",       10, [0, inf],    "volume",      "Cylinder face thickness"],
     ["length",         "Ang",      400, [0, inf],    "volume",      "Cylinder length"],
-    ["core_sld",       "1e-6/Ang^2", 1, [-inf, inf], "",            "Cylinder core scattering length density"],
-    ["face_sld",       "1e-6/Ang^2", 4, [-inf, inf], "",            "Cylinder face scattering length density"],
-    ["rim_sld",        "1e-6/Ang^2", 4, [-inf, inf], "",            "Cylinder rim scattering length density"],
-    ["solvent_sld",    "1e-6/Ang^2", 1, [-inf, inf], "",            "Solvent scattering length density"],
+    ["sld_core",       "1e-6/Ang^2", 1, [-inf, inf], "",            "Cylinder core scattering length density"],
+    ["sld_face",       "1e-6/Ang^2", 4, [-inf, inf], "",            "Cylinder face scattering length density"],
+    ["sld_rim",        "1e-6/Ang^2", 4, [-inf, inf], "",            "Cylinder rim scattering length density"],
+    ["sld_solvent",    "1e-6/Ang^2", 1, [-inf, inf], "",            "Solvent scattering length density"],
     ["theta",          "degrees",   90, [-inf, inf], "orientation", "In plane angle"],
     ["phi",            "degrees",    0, [-inf, inf], "orientation", "Out of plane angle"],
@@ -94,8 +95,8 @@
             face_thickness=10.0,
             length=400.0,
-            core_sld=1.0,
-            face_sld=4.0,
-            rim_sld=4.0,
-            solvent_sld=1.0,
+            sld_core=1.0,
+            sld_face=4.0,
+            sld_rim=4.0,
+            sld_solvent=1.0,
             theta=90,
             phi=0)
@@ -103,5 +104,6 @@
 oldname = 'CoreShellBicelleModel'
 
-oldpars = dict(rim_thickness='rim_thick',
+oldpars = dict(sld_core='core_sld', sld_face='face_sld', sld_rim='rim_sld',
+               sld_solvent='solvent_sld', rim_thickness='rim_thick',
                face_thickness='face_thick',
                theta='axis_theta',
@@ -115,8 +117,8 @@
       'face_thickness': 10.0,
       'length': 400.0,
-      'core_sld': 1.0,
-      'face_sld': 4.0,
-      'rim_sld': 4.0,
-      'solvent_sld': 1.0,
+      'sld_core': 1.0,
+      'sld_face': 4.0,
+      'sld_rim': 4.0,
+      'sld_solvent': 1.0,
       'background': 0.0,
      }, 0.001, 353.550],
@@ -126,8 +128,8 @@
       'face_thickness': 10.0,
       'length': 400.0,
-      'core_sld': 1.0,
-      'face_sld': 4.0,
-      'rim_sld': 4.0,
-      'solvent_sld': 1.0,
+      'sld_core': 1.0,
+      'sld_face': 4.0,
+      'sld_rim': 4.0,
+      'sld_solvent': 1.0,
       'theta': 90.0,
       'phi': 0.0,
@@ -140,8 +142,8 @@
       'face_thickness': 100.0,
       'length': 1200.0,
-      'core_sld': 5.0,
-      'face_sld': 41.0,
-      'rim_sld': 42.0,
-      'solvent_sld': 21.0,
+      'sld_core': 5.0,
+      'sld_face': 41.0,
+      'sld_rim': 42.0,
+      'sld_solvent': 21.0,
      }, 0.05, 1670.1828],
     ]
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision 43b7eea5794b4eb3362114ebde67ff2fb1c38fdc)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
@@ -111,13 +111,13 @@
 
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["core_sld", "1e-6/Ang^2", 1, [-inf, inf], "",
+parameters = [["sld_core", "1e-6/Ang^2", 1, [-inf, inf], "",
                "Parallelepiped core scattering length density"],
-              ["arim_sld", "1e-6/Ang^2", 2, [-inf, inf], "",
+              ["sld_a", "1e-6/Ang^2", 2, [-inf, inf], "",
                "Parallelepiped A rim scattering length density"],
-              ["brim_sld", "1e-6/Ang^2", 4, [-inf, inf], "",
+              ["sld_b", "1e-6/Ang^2", 4, [-inf, inf], "",
                "Parallelepiped B rim scattering length density"],
-              ["crim_sld", "1e-6/Ang^2", 2, [-inf, inf], "",
+              ["sld_c", "1e-6/Ang^2", 2, [-inf, inf], "",
                "Parallelepiped C rim scattering length density"],
-              ["solvent_sld", "1e-6/Ang^2", 6, [-inf, inf], "",
+              ["sld_solvent", "1e-6/Ang^2", 6, [-inf, inf], "",
                "Solvent scattering length density"],
               ["a_side", "Ang", 35, [0, inf], "volume",
@@ -161,6 +161,6 @@
 # parameters for demo
 demo = dict(scale=1, background=0.0,
-            core_sld=1e-6, arim_sld=2e-6, brim_sld=4e-6,
-            crim_sld=2e-6, solvent_sld=6e-6,
+            sld_core=1e-6, sld_a=2e-6, sld_b=4e-6,
+            sld_c=2e-6, sld_solvent=6e-6,
             a_side=35, b_side=75, c_side=400,
             arim_thickness=10, brim_thickness=10, crim_thickness=10,
@@ -181,6 +181,6 @@
 oldname = 'CSParallelepipedModel'
 oldpars = dict(theta='parallel_theta', phi='parallel_phi', psi='parallel_psi',
-               core_sld='sld_pcore', arim_sld='sld_rimA', brim_sld='sld_rimB',
-               crim_sld='sld_rimC', solvent_sld='sld_solv',
+               sld_core='sld_pcore', sld_a='sld_rimA', sld_b='sld_rimB',
+               sld_c='sld_rimC', sld_solvent='sld_solv',
                a_side='shortA', b_side='midB', c_side='longC',
                arim_thickness='rimA', brim_thickness='rimB', crim_thickness='rimC')
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision 679430173a9e06492b08f4e0ab362871445963f6)
+++ sasmodels/models/fractal_core_shell.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
@@ -44,6 +44,6 @@
     q = \sqrt{q_x^2 + q_y^2}
 
-Reference
----------
+References
+----------
 
 See the core_shell and fractal model descriptions
@@ -65,7 +65,7 @@
     ["radius",      "Ang",        60.0, [0, inf],    "volume", "Sphere core radius"],
     ["thickness",   "Ang",        10.0, [0, inf],    "volume", "Sphere shell thickness"],
-    ["core_sld",    "1e-6/Ang^2", 1.0,  [-inf, inf], "",       "Sphere core scattering length density"],
-    ["shell_sld",   "1e-6/Ang^2", 2.0,  [-inf, inf], "",       "Sphere shell scattering length density"],
-    ["solvent_sld", "1e-6/Ang^2", 3.0,  [-inf, inf], "",       "Solvent scattering length density"],
+    ["sld_core",    "1e-6/Ang^2", 1.0,  [-inf, inf], "",       "Sphere core scattering length density"],
+    ["sld_shell",   "1e-6/Ang^2", 2.0,  [-inf, inf], "",       "Sphere shell scattering length density"],
+    ["sld_solvent", "1e-6/Ang^2", 3.0,  [-inf, inf], "",       "Solvent scattering length density"],
     ["volfraction", "",           1.0,  [0, inf],    "",       "Volume fraction of building block spheres"],
     ["frac_dim",    "",           2.0,  [-inf, inf], "",       "Fractal dimension"],
@@ -79,7 +79,7 @@
             radius=20,
             thickness=5,
-            core_sld=3.5,
-            shell_sld=1.0,
-            solvent_sld=6.35,
+            sld_core=3.5,
+            sld_shell=1.0,
+            sld_solvent=6.35,
             volfraction=0.05,
             frac_dim=2.0,
@@ -87,5 +87,7 @@
 
 oldname = 'FractalCoreShellModel'
-oldpars = {}
+oldpars = dict( sld_core='core_sld',
+               sld_shell='shell_sld',
+               sld_solvent='solvent_sld')
 
 def ER(radius, thickness):
@@ -113,7 +115,7 @@
          [{'radius': 60.0,
            'thickness': 10.0,
-           'core_sld': 1.0,
-           'shell_sld': 2.0,
-           'solvent_sld': 3.0,
+           'sld_core': 1.0,
+           'sld_shell': 2.0,
+           'sld_solvent': 3.0,
            'background': 0.0
           }, 0.4, 0.00070126]]
Index: sasmodels/models/rpa.py
===================================================================
--- sasmodels/models/rpa.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/rpa.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
@@ -53,5 +53,5 @@
 
 name = "rpa"
-title = "Random Phase Approximation"
+title = "Random Phase Approximation - unfinished work in progress"
 description = """
 This formalism applies to multicomponent polymer mixtures in the
